# DMRefineHierarchy

Refines a DM object, all levels at once

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMRefineHierarchy(DM dm,int nlevels,DM **dmf)

Collective on DM

### Input Parameter

| dm | - the DM object
| nlevels | - the number of levels of refinement

### Output Parameter

dmf -the refined DM hierarchy

### See Also

DMCoarsenHierarchy(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMGetInterpolation()

Level:developer
Location: src/dm/da/utils/dm.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages